---
title: Why have optimized builds been removed?
aliases:
  - Choose between the generic and optimized build
lastmod: 2024-12-23
---

For Windows and Linux, Zen Browser used to have the option to download optimized builds. These builds utilized AVX2 instructions to improve perfomance. These builds have been removed because of the following reasons:

1. **The optimized version isn't necessarily faster**: Profile-guided optimizations (PGO) aren't working with the optimized version because Clang fails to handle them properly, leading to a crash. As a result, we cannot build optimized versions if we want to include both PGO and Link Time Optimization (LTO). Additionally, AVX2 increases power consumption and is not ideal for heavy parallel computations.

2. **AVX2 isn't supported everywhere**: There are still many devices that don't support AVX2 instructions, which makes the installation process more confusing.

In conclusion, having optimized builds is not really worth it, especially if we want to have PGO & LTO.

P.S. all optimized builds will be automatically updated to generic starting from version `1.0.2-b.4`.

View original [here](https://github.com/zen-browser/desktop/wiki/Why-have-optimized-builds-been-removed%3F)