---
title: Security 🔐
aliases:
  - Security 🔐
description: At Zen Browser, your online safety and privacy are our top priorities. We've implemented a range of security features to ensure you're protected while browsing.
lastmod: 2024-09-18
---
> [!important] Password, Cookies, and Cache Management 
> All passwords, cookies, and cache in Zen Browser are managed by Firefox. This means your saved passwords are automatically encrypted, providing an extra layer of security to keep your login credentials safe. Cookies and cache are also handled according to Firefox's strict privacy policies, ensuring your data is stored securely and only accessible to you.
> For more information visit [Firefox Privacy and Security](https://support.mozilla.org/es/products/firefox/privacy-and-security)

### 1. Latest Firefox Version

Zen Browser is built on the latest version of Firefox, one of the most secure browsers available today. This means you benefit from all of Firefox's security patches and updates as soon as they are released, keeping you safe from known vulnerabilities.

### 2. Tracking Protection

To protect your privacy, Zen Browser includes **tracking protection**. This feature automatically blocks websites and advertisers from tracking your online activity, making it harder for third parties to collect your data and show you targeted ads.

### 3. OCSP Enabled

Zen Browser uses **OCSP (Online Certificate Status Protocol)** to check the validity of a website’s security certificate. This ensures that you only connect to safe websites with up-to-date and valid certificates, protecting you from malicious sites that may have expired or revoked certificates.

### 4. HTTPS Only Mode

**HTTPS Only Mode** ensures that you connect securely to websites by using the HTTPS version whenever possible. HTTPS encrypts the communication between you and the website, protecting your data from being intercepted by hackers.
For more information visit [HTTPS-Only Mode in Firefox](https://support.mozilla.org/en-US/kb/https-only-prefs)

### 5. SSL – Treat Unsafe Negotiation as Broken by Default

Zen Browser treats insecure SSL connections (those that don't meet modern security standards) as broken by default. This means that if a website is not properly secured, Zen Browser will alert you and block the unsafe connection, preventing potential security risks.

---

These security features work behind the scenes to provide a safe and private browsing experience. With Zen Browser, you can browse with confidence knowing that your security is always a top priority.