---
title: Themes Store Submission Guidelines 📋
lastmod: 2024-08-19
---

If you are a theme developer and would like to submit your theme, please follow these guidelines:

1. **Theme requirements**:
    - Your theme must be compatible with Zen Browser.
    - Your theme must be open-source.
    - Your theme must not contain any malicious code.
    - Your theme must not violate any copyright laws.

2. **Theme Validation**:
    - Your theme's name must be unique and less than `25` characters.
    - Your theme's description must be less than `100` characters.
    - Your theme's screenshot must be a `PNG` with a size of `300x200` (it can be resized after upload).
    - Your theme must contain a valid `README` describing the theme and how to use it.
    - If your theme has any preferences values, they must be set in the `preferences` text area as a `JSON` object.
      - See how preferences work [here](themes-store/themes-marketplace-preferences.md).

3. **Theme Submission**:
    - To submit your theme, please create an issue [here](https://github.com/zen-browser/theme-store/issues/new?assignees=&labels=new-theme&projects=&template=create-theme.yml&title=%5Bcreate-theme%5D%3A+)
    - Fill out the template with the required information.
    - Once you have submitted your theme, it will be analyzed by a bot and a pull request will be created.
    - If your theme is approved, it will be added to the Themes Marketplace.

4. **Theme Update**:
    - If you would like to update your theme, please create an issue [here](https://github.com/zen-browser/theme-store/issues/new)
    - Please explain the changes you have made.

> [!info]
> Themes are automatically updated and generated by the bot. If your theme is not approved, you will receive a message with the reason why it was not approved.
